<template>
    <form @submit.prevent="handleLogin()">
        <label>Email :
            <input type="email" v-model="email">
        </label>

        <label>Password :
            <input type="password" v-model="password">
        </label>
        <button>Login</button>
    </form>
</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();
const auth = useAuth();
const email = ref('');
const password = ref('');

async function handleLogin() {
    await auth.login(email.value, password.value);
    router.back();
}

</script>